Commit bb6d379b authored by jplang's avatar jplang

PluginRequirementError is now raised instead of PluginNotFound (#31030).

git-svn-id: https://svn.redmine.org/redmine/trunk@17966 e93f8b46-1217-0410-a6f0-8f06a7374b81
parent 52548528
......@@ -168,13 +168,13 @@ class Redmine::PluginTest < ActiveSupport::TestCase
requires_redmine_plugin(:other, :version => ['98.0.0', '99.0.0'])
end
# Missing plugin
test.assert_raise Redmine::PluginNotFound do
test.assert_raise Redmine::PluginRequirementError do
requires_redmine_plugin(:missing, :version_or_higher => '0.1.0')
end
test.assert_raise Redmine::PluginNotFound do
test.assert_raise Redmine::PluginRequirementError do
requires_redmine_plugin(:missing, '0.1.0')
end
test.assert_raise Redmine::PluginNotFound do
test.assert_raise Redmine::PluginRequirementError do
requires_redmine_plugin(:missing, :version => '0.1.0')
end
end
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment